# octavia.certificates.common package

## Subpackages

- octavia.certificates.common.auth package
  - Submodules
  - octavia.certificates.common.auth.barbican_acl module
  - Module contents

## Submodules

## octavia.certificates.common.barbican module

Common classes for Barbican certificate handling

class BarbicanAuth

  Bases: `object`

  abstract ensure_secret_access(context, ref)

    Do whatever steps are necessary to ensure future access to a secret.

    Parameters

      - context – pecan context object

      - ref – Reference to a Barbican object

  abstract get_barbican_client(project_id)

    Creates a Barbican client object.

    Parameters

      project_id – Project ID that the request will be used for

    Returns

      a Barbican Client object

    Raises

      Exception – if the client cannot be created

  abstract revoke_secret_access(context, ref)

    Revoke access of Octavia keystone user to a secret.

    Parameters

      - context – pecan context object

      - ref – Reference to a Barbican object

class BarbicanCert(cert_container)

  Bases: `octavia.certificates.common.cert.Cert`

  Representation of a Cert based on the Barbican CertificateContainer.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.cert module

class Cert

  Bases: `object`

  Base class to represent all certificates.

  abstract get_certificate()

    Returns the certificate.

  abstract get_intermediates()

    Returns the intermediate certificates as a list.

  abstract get_private_key()

    Returns the private key for the certificate.

  abstract get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.local module

Common classes for local filesystem certificate handling

class LocalCert(certificate, private_key, intermediates=None, private_key_passphrase=None)

  Bases: `octavia.certificates.common.cert.Cert`

  Representation of a Cert for local storage.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.pkcs12 module

Common classes for pkcs12 based certificate handling

class PKCS12Cert(certbag)

  Bases: `octavia.certificates.common.cert.Cert`

  Representation of a Cert for local storage.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug